Bug 249439 - www/node broken on the quarterly branch
Summary: www/node broken on the quarterly branch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-18 16:05 UTC by Alex
Modified: 2020-09-25 04:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2020-09-18 16:05:33 UTC
www/node is broken at the moment on the quarterly branch (2020Q3) due to a new dependency( it requires brotli>=1.0.9,1 ) while the branch itself only provides brotli-1.0.7_2,1. ( https://svnweb.freebsd.org/ports/branches/2020Q3/archivers/brotli/distinfo?revision=541028&view=markup )

===>   node-14.11.0 depends on package: brotli>=1.0.9,1 - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/www/node

https://svnweb.freebsd.org/ports/branches/2020Q3/www/node/Makefile?r1=541028&r2=548876
Comment 1 Alex 2020-09-21 13:39:15 UTC
Thanks very much for sorting it out!
Comment 2 Fred Condo 2020-09-21 17:41:46 UTC
I'm getting a different dependency failure now (I previously saw the brotli issue):

===>   Installing existing package /packages/All/libuv-1.38.0.txz
[FreeBSD_11_4_amd64-quarterly-chrome-job-02] Installing libuv-1.38.0...
[FreeBSD_11_4_amd64-quarterly-chrome-job-02] Extracting libuv-1.38.0: .......... done
===>   node-14.11.0 depends on package: libuv>=1.39.0 - not found
*** Error code 1

Stop.
Comment 3 Alex 2020-09-21 17:55:37 UTC
https://svnweb.freebsd.org/ports/branches/2020Q3/devel/libuv/distinfo?revision=549428&view=markup

the new required version(1.39.0) of libuv is in the 2020Q3 branch. you just need to update the ports(2020Q3 branch)
Comment 4 Bradley T. Hughes freebsd_committer 2020-09-25 04:05:20 UTC
This is fixed now after r548933 and r549428. Thanks for the report! :)